javax.management.relation

## Class InvalidRelationServiceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.management.JMException
      - - javax.management.relation.RelationException
        - - javax.management.relation.InvalidRelationServiceException

All Implemented Interfaces:
  Serializable

    public class InvalidRelationServiceException
    extends RelationException

This exception is raised when an invalid Relation Service is provided.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidRelationServiceException()` Default constructor, no message put in exception.
`InvalidRelationServiceException(String message)` Constructor with given message put in exception.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidRelationServiceException

    public InvalidRelationServiceException()

Default constructor, no message put in exception.

#### InvalidRelationServiceException

    public InvalidRelationServiceException(String message)

Constructor with given message put in exception.

Parameters:
  `message` - the detail message.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.